(*^

::[	frontEndVersion = "Microsoft Windows Mathematica Notebook Front End Version 2.2";
	microsoftWindowsStandardFontEncoding;
	fontset = title, "Times New Roman", 28, L1, center, nohscroll;
	fontset = subtitle, "Times New Roman", 22, L1, center, nohscroll;
	fontset = subsubtitle, "Times New Roman", 16, L1, center, nohscroll;
	fontset = section, "Times New Roman", 22, L1, nohscroll, grayBox;
	fontset = subsection, "Times New Roman", 16, L1, nohscroll, blackBox;
	fontset = subsubsection, "Times New Roman", 14, L1, nohscroll, whiteBox;
	fontset = text, "Times New Roman", 14, L1, nohscroll;
	fontset = smalltext, "Arial", 12, L1, nohscroll;
	fontset = input, "Courier New", 14, L1, nowordwrap, bold;
	fontset = output, "Courier New", 14, L-5, nowordwrap;
	fontset = message, "Courier New", 14, L1, nowordwrap;
	fontset = print, "Courier New", 14, L1, nowordwrap;
	fontset = info, "Courier New", 14, L1, nowordwrap;
	fontset = postscript, "Courier New", 14, L1, nowordwrap;
	fontset = name, "Arial", 12, L1, nohscroll, B65280;
	fontset = header, "Times New Roman", 14, L1, nohscroll;
	fontset = footer, "Times New Roman", 14, L1, center, nohscroll;
	fontset = help, "Arial", 12, L1, nohscroll;
	fontset = clipboard, "Times New Roman", 14, L1, nohscroll;
	fontset = completions, "Courier New", 14, L1, nohscroll;
	fontset = graphics, "Courier New", 10, L0, nowordwrap, nohscroll;
	fontset = special1, "Times New Roman", 14, L1, nohscroll;
	fontset = special2, "Times New Roman", 14, L1, nohscroll;
	fontset = special3, "Times New Roman", 14, L1, nohscroll;
	fontset = special4, "Times New Roman", 14, L1, nohscroll;
	fontset = special5, "Times New Roman", 14, L1, nohscroll;
	fontset = leftheader, "Times New Roman", 14, L1, nohscroll;
	fontset = leftfooter, "Times New Roman", 14, L1, center, nohscroll;
	fontset = reserved1, "Courier New", 10, L0, nowordwrap, nohscroll;]
:[font = title; inactive; preserveAspect; nohscroll; center; backColorRed65280; backColorGreen65280; backColorBlue65280; fontColorRed0; fontColorGreen0; fontColorBlue65280; bold; fontName = "Times New Roman"; fontSize = 22; ]

COSY_PAK  Ver. 0.9
Control Systems Analysis Package
  for Mathematica 
:[font = subtitle; inactive; preserveAspect; nohscroll; center; backColorRed65280; backColorGreen65280; backColorBlue65280; fontColorRed65280; fontColorGreen0; fontColorBlue0; plain; fontName = "Times New Roman"; fontSize = 18; ]

By
 C.K. Chen              N. Sreenath 
  1993
       
:[font = message; inactive; preserveAspect; nowordwrap; center; backColorRed65280; backColorGreen65280; backColorBlue65280; fontColorRed65280; fontColorGreen0; fontColorBlue65280; plain; fontName = "Courier New"; fontSize = 14; ]
Systems Engineering Department
Case School of Engineering
Case Western Reserve University
Cleveland, OH, 44106-7070
:[font = message; inactive; nowordwrap; center; backColorRed65280; backColorGreen65280; backColorBlue65280; fontColorRed0; fontColorGreen65280; fontColorBlue0; plain; fontName = "Courier New"; fontSize = 14; ]


Support from
CWRU Information and Network Services - Dr. Ray Neff
Case Alumni Association
The Lilly Foundation
:[font = input; preserveAspect; nowordwrap; ]

				


:[font = subtitle; inactive; preserveAspect; nohscroll; center; backColorRed65280; backColorGreen65280; backColorBlue65280; fontColorRed0; fontColorGreen0; fontColorBlue65280; plain; fontName = "Times New Roman"; fontSize = 22; ]
Chapter 4 
Steady-State Response 
:[font = section; inactive; preserveAspect; startGroup; Cclosed; nohscroll; ]
Initialization
:[font = input; preserveAspect; startGroup; nowordwrap; ]
(* Initialization of Path *)
:[font = input; preserveAspect; endGroup; nowordwrap; ]
	(* Example For a UNIX machine  (Default)*) 
	$Path=Join[$Path,
	{"/LocalLibrary/Mathematica/Packages"}];
	
	(* Example For an Apple Macintosh  *) 
	(*
	$Path=Join[$Path,
	{"MY_HardDisk:Mathematica:Packages"}];
	*)
	
	(* Example For IBM PC 	
	 *)
	(*
	$Path=Join[$Path,	
	 {"c:\winmath\packages"}];	
	*)	
:[font = input; preserveAspect; endGroup; nowordwrap; ]
(* Load the program  *)
Needs["COSYPAK`chap4`"]
:[font = section; inactive; preserveAspect; startGroup; Cclosed; nohscroll; backColorRed65280; backColorGreen65280; backColorBlue65280; fontColorRed0; fontColorGreen0; fontColorBlue65280; plain; fontName = "Times New Roman"; fontSize = 22; ]
Routh's Stability Criterion
:[font = text; inactive; preserveAspect; nohscroll; ]

Routh's stability criterion indicates the presence of positive roots (roots with real part positive)  or unstable poles in a polynomial equation. Routh's criterion gives only the number of positive roots and not the actual roots.

COSI_PAK Function
Routh[Charpoly, s, z]: Gives the Routh's table for application of Routh's stability criterion. The parameter Charpoly is the characteristic polynomial with variable s. The parameter z define the symbol to replace the zero value of first column terms if any. The characteristic polynomial is the denominator of the transfer function. Returns Routh's table as an array.
:[font = subsection; inactive; preserveAspect; nohscroll; ]
Examples
:[font = subsubsection; inactive; preserveAspect; startGroup; Cclosed; nohscroll; ]
1. Find the stability of the characteristic equation 
                s^4 + 3 s^3 + 3 s^2 + 2 s + k
  as a function of parameter k using Routh's Stability   Criterion.
:[font = input; preserveAspect; startGroup; Cclosed; nowordwrap; ]

poly = s^4 + 3 s^3 + 3 s^2 + 2 s + k;
results = Routh[poly,s,zero];

:[font = print; inactive; formatted; output; endGroup; nowordwrap; ]
No Input Form Generated

;[o]
The Routh's Table:
 


1         3         k



3         2         0

7
-
3         k         0

    9 k
2 - ---
     7    0         0



k         0         0
 
The first column of the Routh's table is: 
 
       7      9 k
{1, 3, -, 2 - ---, k}
       3       7
 
:[font = text; inactive; preserveAspect; endGroup; nohscroll; ]
If k is negative then there is one sign change between the fourth row and the fifth row indicating an unstable pole.

On the other hand if k is positive and less than 
              2*7/9
then there are no unstable poles. If k > 1.555 there will be two unstable poles. 

What will happen if k=1.5555 ? Substitute this value of k and re-evaluate to fine out.
:[font = subsubsection; inactive; preserveAspect; startGroup; Cclosed; nohscroll; ]
2.  Note that the characteristic polynomial is = s^3 - 3s +2
:[font = input; preserveAspect; startGroup; startGroup; Cclosed; nowordwrap; ]
poly = s^3 - 3s +2;
results =Routh[poly,s,zero];
:[font = print; inactive; formatted; output; endGroup; nowordwrap; ]
No Input Form Generated

;[o]
The Routh's Table:
 


1           -3



zero        2

      2
-3 - ----
     zero   0



2           0
 
The first column of the Routh's table is: 
 
                2
{1, zero, -3 - ----, 2}
               zero
 
:[font = text; inactive; preserveAspect; endGroup; endGroup; nohscroll; ]
Assuming that the variable zero is a small positive number (e.g. zero=0.001) we see that there are two sign changes indicating two unstable (real part positive) poles.
:[font = subsubsection; inactive; preserveAspect; startGroup; Cclosed; nohscroll; ]
3. Find the stability of the characteristic equation 
              s^5 + 2 s^4 + 24 s^3 + 48 s^2 -25 s -50 =0
    using Routh's Stability  Criterion.
:[font = input; preserveAspect; startGroup; Cclosed; nowordwrap; ]
poly = s^5 + 2 s^4 + 24 s^3 + 48 s^2 -25 s -50;
results =Routh[poly,s,zero];
:[font = print; inactive; preserveAspect; endGroup; endGroup; nowordwrap; ]
The Routh's Table:
 


1         24        -25



2         48        -50



zero      0         0



48        -50       0

25 zero
-------
  24      0         0



-50       0         0
 
The first column of the Routh's table is: 
 
                 25 zero
{1, 2, zero, 48, -------, -50}
                   24
 
Sign Change!! Unstable root(s) exist.
:[font = subsubsection; inactive; preserveAspect; startGroup; Cclosed; nohscroll; ]
4. Is the system with the following characteristic polynomial  stable ? 
              s^5 + 2 s^4 + 24 s^3 + 48 s^2 -25 s -50 
:[font = input; preserveAspect; startGroup; Cclosed; nowordwrap; ]
poly = s^3 + 2 s^2 + s +2;
results =Routh[poly,s,zero];
:[font = print; inactive; preserveAspect; endGroup; nowordwrap; ]
The Routh's Table:
 
1      1

2      2

zero   0

2      0
 
The first column of the Routh's table is: 
 
{1, 2, zero, 2}
 
:[font = text; inactive; preserveAspect; endGroup; nohscroll; ]
Since the variable zero is a small positive number there are no sign changes, i.e., there are no positive poles.
:[font = subsubsection; inactive; preserveAspect; startGroup; Cclosed; nohscroll; ]
5. Find the stability of the characteristic polynomial 
               s^4 + 2 s^3 + k s^2 + 4 s +5
:[font = input; preserveAspect; startGroup; Cclosed; nowordwrap; ]
poly = s^4 + 2 s^3 + k s^2 + 4 s +5;
results =Routh[poly,s,zero];
:[font = print; inactive; preserveAspect; nowordwrap; ]
The Routh's Table:
 


1           k           5



2           4           0



-2 + k      5           0

-18 + 4 k
---------
 -2 + k     0           0



5           0           0
 
The first column of the Routh's table is: 
 
               -18 + 4 k
{1, 2, -2 + k, ---------, 5}
                -2 + k
 
:[font = text; inactive; preserveAspect; endGroup; endGroup; endGroup; nohscroll; ]
If k is greater than 16/3 then there are positive poles.
:[font = section; inactive; preserveAspect; startGroup; Cclosed; nohscroll; backColorRed65280; backColorGreen65280; backColorBlue65280; fontColorRed0; fontColorGreen0; fontColorBlue65280; plain; fontName = "Times New Roman"; fontSize = 22; ]
Steady State Error Analysis
:[font = subsection; inactive; preserveAspect; startGroup; nohscroll; ]
Error Constant
:[font = text; inactive; preserveAspect; nohscroll; ]

mathematica Function
Limit [ Function, Approaches ]:  Calculates the limit of the equation 'Function' for the variable and its value specified by 'Approaches'.
:[font = text; inactive; preserveAspect; nohscroll; ]

Example :
:[font = input; preserveAspect; startGroup; nowordwrap; ]
g4 = wn^2 p/(s^2 + 2 damping wn s + wn^2)/(s+p)


:[font = output; inactive; formatted; output; preserveAspect; nowordwrap; ]
(p*wn^2)/((p + s)*(s^2 + 2*damping*s*wn + wn^2))




;[o]
                   2
               p wn
-----------------------------------
          2                      2
(p + s) (s  + 2 damping s wn + wn )
:[font = input; preserveAspect; startGroup; Cclosed; nowordwrap; ]

kp = Limit[g4,s->0]
:[font = output; inactive; formatted; output; preserveAspect; endGroup; nowordwrap; ]
1




;[o]
1
:[font = input; preserveAspect; startGroup; Cclosed; nowordwrap; ]
kv = Limit[g4 s,s-> 0]
:[font = output; inactive; formatted; output; preserveAspect; endGroup; nowordwrap; ]
0




;[o]
0
:[font = input; preserveAspect; startGroup; Cclosed; nowordwrap; ]
ka = Limit[g4 s^2, s->0]
:[font = output; inactive; formatted; output; preserveAspect; endGroup; endGroup; endGroup; endGroup; nowordwrap; ]
0




;[o]
0
^*)